Subject: [PATCH] ARM: kirkwood: DT board setup for CloudBox

From: [email-masked] (Chris Moore)
Date: Fri, 05 Apr 2013 07:14:17 +0200

Le 05/04/2013 03:11, Jason Cooper a ?crit :
> On Thu, Apr 04, 2013 at 11:34:35AM +0200, Simon Guinot wrote:
>>
...

>> Then we are back to the initial problem...
>>
>> Maybe we could append some suffixes based on the version:
>>
>> 1: cloudbox-v1
>> 2: cloudbox-v2
>>
>> Or better, suffix based on the other code names:
>>
>> 1: cloudbox-ns2mini
>> 2: cloudbox-familybox
>>
>> Or even let the things as they are:
>>
>> 1: netspace_v2_mini
>> 2: cloudbox
> In light of the above info, let's got with the third option.  If we
> discover a different LaCie Cloudbox board down the road, we can add an
> appropriately more specific compatible string to differentiate.  As you
> can tell, I'd prefer to have something more specific in the original
> commit, but we can only work with what we're given. :(
>

This is now OK with me.
However I would like to have a more precise description somewhere; 
probably either in the Kconfig or, if this is obsolescent, in whatever 
replaces it.
I think that someone grepping the kernel sources for the commercial name 
"CloudBox" should find both versions and be able to decide which one he has.

Cheers,
Chris